Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 610690 - enhance dev-libs/nss to install libnssb.a, libnssckfw.a and nssck.api
Summary: enhance dev-libs/nss to install libnssb.a, libnssckfw.a and nssck.api
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-23 12:45 UTC by Kamil Dudka
Modified: 2017-06-06 19:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
proposed nss-3.29.1-r1.ebuild (nss-3.29.1-r1.ebuild,9.09 KB, text/plain)
2017-02-23 12:45 UTC, Kamil Dudka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kamil Dudka 2017-02-23 12:45:25 UTC
Created attachment 464860 [details]
proposed nss-3.29.1-r1.ebuild

libnssb.a, libnssckfw.a and nssck.api are needed to build nss-pem:

https://github.com/kdudka/nss-pem

An old version of nss-pem is currently bundled with dev-libs/nss if the nss-pem use flag is enabled.  The old version is not supported any more.  nss-pem is now a standalone project that should be built against nss header files and libraries installed on the system.  Fixing this bug will make it possible on Gentoo Linux.

A proposed nss-3.29.1-r1.ebuild that implements the enhancement is attached.  The only changes made on top of the official nss-3.29.1.ebuild follow:

--- a/dev-libs/nss/nss-3.29.1-r1.ebuild
+++ b/dev-libs/nss/nss-3.29.1-r1.ebuild
@@ -257,8 +257,9 @@ multilib_src_install() {

        dodir /usr/$(get_libdir)
        cp -L */lib/*$(get_libname) "${ED}"/usr/$(get_libdir) || die "copying shared libs failed"
-       cp -L */lib/libcrmf.a "${ED}"/usr/$(get_libdir) || die "copying libs failed"
-       cp -L */lib/libfreebl.a "${ED}"/usr/$(get_libdir) || die "copying libs failed"
+       for i in crmf freebl nssb nssckfw ; do
+               cp -L */lib/lib${i}.a "${ED}"/usr/$(get_libdir) || die "copying libs failed"
+       done

        # Install nss-config and pkgconfig file
        dodir /usr/bin
@@ -275,7 +276,7 @@ multilib_src_install() {

        # all the include files
        insinto /usr/include/nss
-       doins public/nss/*.h
+       doins public/nss/*.{h,api}
        insinto /usr/include/nss/private
        doins private/nss/{blapi,alghmac}.h

Thanks in advance for considering the enhancement!
Comment 1 Jory A. Pratt gentoo-dev 2017-02-23 13:17:20 UTC
ack
Comment 2 Kamil Dudka 2017-03-09 11:09:51 UTC
I see that dev-libs/nss-3.29.3 appeared in git.  Is there any schedule to merge the fix for this bug?
Comment 3 Kamil Dudka 2017-05-19 13:05:35 UTC
Any progress on this?
Comment 4 Ian Stakenvicius (RETIRED) gentoo-dev 2017-05-19 13:26:01 UTC
none yet, but since Jory ack'ed it I'll do it shortly.
Comment 5 Jory A. Pratt gentoo-dev 2017-06-05 13:55:17 UTC
commit 81e05db4ee782a240d52178d663206fad4f81572
Author: Ian Stakenvicius <axs@gentoo.org>
Date:   Wed May 24 11:29:16 2017 -0400

    dev-libs/nss: enhance to install libnssb.a, libnssckfw.a and nssck.api
    
    Initially applied to nss-3.30.2-r1, may backport to others upon successful testing.
    
    Bug: http://bugs.gentoo.org/610690
    
    Package-Manager: Portage-2.3.3, Repoman-2.3.1

Thanks for the report, we will work on nss-pem ebuild. It will be at that time the nss-pem useflag is drop'd from the current ebuild.
Comment 6 Kamil Dudka 2017-06-06 19:56:32 UTC
Perfect.  Thanks!